From 500dac9fd5bf496d711b60ae8577f6aa0eeaf938 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sun, 27 Oct 2024 17:37:13 +0100
Subject: [PATCH] remove usages of old packages separator (fix for GH#5)

---
 t/compile-time-file.t          | 2 +-
 t/inherit-classfromclassfile.t | 2 +-
 t/inherit-classfromfile.t      | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/t/compile-time-file.t b/t/compile-time-file.t
index 8831f65..19f42f1 100644
--- a/t/compile-time-file.t
+++ b/t/compile-time-file.t
@@ -18,7 +18,7 @@ use lib 't/lib';
 {
 
     package Child3;
-    use superclass "Dummy'Outside";
+    use superclass "Dummy::Outside";
 }
 
 my $obj = {};
diff --git a/t/inherit-classfromclassfile.t b/t/inherit-classfromclassfile.t
index 4eac4c1..9ab0701 100644
--- a/t/inherit-classfromclassfile.t
+++ b/t/inherit-classfromclassfile.t
@@ -9,4 +9,4 @@ require_ok 'superclass';
 eval
   q{package Test1; require Dummy; use superclass -norequire, 'Dummy::InlineChild'; };
 is $@, '', "Loading an unadorned class works";
-isn't $INC{"Dummy.pm"}, undef, 'We loaded Dummy.pm';
+isnt $INC{"Dummy.pm"}, undef, 'We loaded Dummy.pm';
diff --git a/t/inherit-classfromfile.t b/t/inherit-classfromfile.t
index ff33d6f..21cf02a 100644
--- a/t/inherit-classfromfile.t
+++ b/t/inherit-classfromfile.t
@@ -12,6 +12,6 @@ eval sprintf
   q{package Test2; require '%s/lib/Dummy2.plugin'; use superclass -norequire, 'Dummy2::InlineChild' },
   $base;
 is $@, '', "Loading a class from a file works";
-isn't $INC{"$base/lib/Dummy2.plugin"}, undef, "We loaded the plugin file";
+isnt $INC{"$base/lib/Dummy2.plugin"}, undef, "We loaded the plugin file";
 my $o = bless {}, 'Test2';
 isa_ok $o, 'Dummy2::InlineChild';
-- 
2.11.0

